## profphd 1.0.38

=== Makefile ===
export PACKAGE := profphd
export VERSION := 1.0.38
export PACKAGE_VERSION := $(VERSION)
export PACKAGE_STRING := $(PACKAGE) $(PACKAGE_VERSION)
export DISTDIR := $(PACKAGE)-$(VERSION)

SRCDIR := src
#SRCPROF=$(SRCDIR)/src-prof
#SRCPHD=$(SRCDIR)/src-phd
#MAX_LIB := lib-maxhom.f
# lkajan: ARCH seems to be used when OS is meant: LINUX, MAC, etc. However it may indeed try to capture the architecture /as well/. Guy recommends to set it to LINUX by default.
# Binaries will not have the .$(ARCH) extension any more.
#ARCH := LINUX
#SYS_LIB := lib-sys-$(ARCH).f

#=====================================================================
#F77			=	f77
#=====================================================================
#FFLAGS			=	"-O3 -Wcharacter-truncation -Wsurprising -Waliasing -finit-local-zero -fbounds-check"
#FFLAGS          	= 	-O3 -C -finit-local-zero
#FFLAGS          	=  	-O3 -ftz -fno-alias -ip -finit-local-zero
#=====================================================================
#SUBMAKEARGS=ARCH=$(ARCH) FFLAGS=$(FFLAGS)
#=====================================================================
all:	prof

prof:
	$(MAKE) -C src/prof

#=====================================================================
# Make prof
#=====================================================================
#prof:
#	$(MAKE) -C $(SRCPROF) $(SUBMAKEARGS)
#
#PROF_OBJS=$(SRCPROF)/prof.f $(SRCPROF)/lib-prof.f $(SRCPROF)/$(SYS_LIB)
#	$(F77) -o  $@.$(ARCH) $(FFLAGS) $(PROF_OBJS)
#prof.o : =$(SRCPROF)/profPar.f

#=====================================================================
# Make phd
#=====================================================================
#phd:
#	$(MAKE) -C $(SRCPHD) $(SUBMAKEARGS)
#
#PHD_OBJS= $(SRCPHD)/phd.f $(SRCPHD)/lib-phd.f
#phd: $(OBJS);
#	$(F77) $(FFLAGS) -o $@.$(ARCH) $(PHD_OBJS)
#phd.o: phdParameter.f

distclean: clean
	rm -rf\
		$(DISTDIR) \
		$(DISTDIR).tar.gz \
		profphd-utils-*.tar.gz

clean:
	rm -f prof.tar *.[1-9] *.[1-9].gz
	$(MAKE) -C src/prof clean

INSTALL = ./packaging_scripts/instcopy -c
INSTALL_PROGRAM = $(INSTALL) -m 755

dist: dist-profphd

dist-profphd:	$(DISTDIR)
	tar -c -f - "$(DISTDIR)" | gzip -c >$(DISTDIR).tar.gz
	rm -rf $(DISTDIR)

$(DISTDIR): distclean
	rm -rf $(DISTDIR) && mkdir -p $(DISTDIR) && \
	rsync -avC \
		--exclude /*-stamp \
		--exclude .*.swp \
		--exclude *.1 \
		--exclude Session.vim \
		AUTHORS \
		COPYING \
		ChangeLog \
		INSTALL \
		Makefile \
		$(PACKAGE).spec \
		README \
		src \
		$(DISTDIR)/;

install-man:
	$(MAKE) -C src/prof install-man

install: install-man install-perl install-neuralnet

install-perl:
	$(MAKE) -C src/prof install-perl

install-neuralnet:
	$(MAKE) -C src/prof install-neuralnet

help:
	@echo "Targets:"
	@echo "all* - build prof package (no profphd-utils)"
	@echo "bin - make profphd-utils package (working copy make only)"
	@echo "clean"
	@echo "dist - dist-profphd"
	@echo "dist-profphd - prepare distributable tar.gz of src/prof"
	@echo "  WC make only"
	@echo "distclean"
	@echo "prof"
	@echo "install - install-man install-perl install-neuralnet"
	@echo "install-bin - install profphd-utils package (working copy make only)"
	@echo "install-man"
	@echo "install-perl"
	@echo "install-neuralnet"
	@echo
	@echo "Variables:"
	@echo "DESTDIR - install to DESTDIR"
	@echo "prefix - common installation prefix for all files"
	@echo "  use prefix=$$HOME to build for personal use"

.PHONY: all bin dist convert_seq filter_hssp prof install install-man install-perl install-neuralnet help 

# vim:ai:

=== debian/changelog ===
profphd (1.0.38-1) unstable; urgency=low

  [ Laszlo Kajan ]
  * New upstream release

  [ Andreas Tille ]
  * debian/control: Added rsync to Build-Depends
    Closes: #646662
  * debian/watch: Stripped unneeded comments
  * debian/patches: Deleted empty dir

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2011 08:09:27 +0200

profphd (1.0.37-1) unstable; urgency=low

  * Initial release in Debian (Closes: #643324)
  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 28 Sep 2011 14:51:19 +0200

profphd (1.0.36-1) UNRELEASED; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 28 Sep 2011 12:31:43 +0200

profphd (1.0.35-1) UNRELEASED; urgency=low

  * added Replaces and Conflicts to control file for
    profphd-perl and profphd-data

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 27 Sep 2011 11:05:27 +0200

profphd (1.0.34) unstable; urgency=low

  * fixed "HTMTOP_RID    :-10.942" bug in src/prof/scr/lib/lib-prof.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 20 May 2011 21:09:41 +0200

profphd (1.0.33) unstable; urgency=low

  * use warnings in phd.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 01 Mar 2011 16:00:23 +0100

profphd (1.0.32) unstable; urgency=low

  * copyright corrected to GPL

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 26 Nov 2010 16:49:36 +0100

profphd (1.0.31) unstable; urgency=low

  * Makefile update - works now on Ubuntu as well (/bin/sh bug)

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 26 Nov 2010 16:49:36 +0100

profphd (1.0.29)

  * [A-Z.~_!] in src/prof/scr/lib/lib-col.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 20 Oct 2010 14:28:49 +0200

profphd (1.0.28)

  * provide NORM_EXP for Selenocysteine:
    $NORM_EXP{"U"} = $NORM_EXP{"C"}; # U - Selenocysteine # lkajan quick hack

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 20 Oct 2010 13:54:03 +0200

profphd (1.0.27)

  * fasta AA pattern now [A-Z.~_!]

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 20 Oct 2010 11:54:27 +0200

profphd (1.0.26)

  * Documented `optJury'
  * prof in debug mode now dumps final parameter values before starting actual work
  * Proper error reporting when input file is empty

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 07 Oct 2010 08:48:44 +0200

profphd (1.0.25)

  * work dir now automatically set to temp dir when not given
  * introduced translate-jobid-in-param-values param to suppress unexpected file name (and other) conversions - now you have to explicitly ask for this behaviour

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 27 Aug 2010 17:33:30 +0200

profphd (1.0.24)

  * Man page syntax corrected
  * Better debugging output

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 27 Aug 2010 17:33:30 +0200

profphd (1.0.23)

  * Now the default is to no change nice level
  * Documented para3 paraBoth paraSec paraAcc numresMin nresPerLineAli riSubSec riSubAcc riSubSym

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 23 Aug 2010 20:48:29 +0200

profphd (1.0.22)

  * Documented a phd.pl call
  * Fixed overzealous ID substitution in src/prof/embl/scr/lib-phd.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 05 Jul 2010 12:25:14 +0200

profphd (1.0.21)

  * Fixed verbosity bug that lead to incorrect call to hssp_filter.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 24 Jun 2010 14:54:11 +0200

profphd (1.0.20)

  * Changed default to silent mode from verbose

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 24 Jun 2010 11:56:26 +0200

profphd (1.0.19)

  * Added param dirWork to prof/scr/lib/lib-prof.pl exeCopf call
  * Markus' failing sequence now works ('ARCH' in file name problem)
  * Weird prof/scr/lib/lib-prof.pl $fileOut{1,$kwd} constructs eliminated
  * Resolved bug 9 'prof creates tmp files into current directory (where it is run from)'

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 15 May 2010 13:38:56 +0200

profphd (1.0.18)

  * resolved bug #10 html formatting of ouput 

 -- Guy Yachdav <gyachdav@rostlab.org> Sun, 02 May 2010 13:28:27 +0200

profphd (1.0.17)

  * Much more efficient install Makefile target
  * Produces gold standard for tsnap_query.fasta
  * Able to use dirWork now: read-only input file dir is now OK
  * Command line options now correctly documented: no leading -
  * sed --in-place -> -i, --in-place is not understood by Mac sed

 -- Laszlo Kajan <lkajan@rostlab.org> Sat, 15 May 2010 13:38:41 +0200

profphd (1.0.16)

  * corrected faulty file name extension matching: escapes '.' now

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 09 Feb 2010 18:18:43 +0100

profphd (1.0.15)

  * removed pub blast - it was not in use

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 16 Jan 2010 11:03:59 +0100

profphd (1.0.14)

  * moved ./src/prof/scr/safFilterRed.pl to librg-utils-perl

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 15 Jan 2010 16:00:43 +0100

profphd (1.0.13)

  * Modifications now allow usage of RG::Utils::* modules

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 14 Jan 2010 21:10:39 +0100

profphd (1.0.12)

  * added debugging for system()-like calls to scr/pack/hssp_filter.pm
  * added more examples: DMD_HUMAN.hssp is huge; PSA2_HUMAN.safFil has xxxx_a and xxxx_A sequences;
  * increased MAXCORE to 16777216 in filter_hssp.f in order to allow a big alignment to fit (DMD_HUMAN.hssp example)
  * Made sequence names case sensitive for READ_MSF routine - solves bug with 3h4p_A and 3h4p_a chains mistaken for the same thing

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 12 Jan 2010 11:52:56 +0100

profphd (1.0.11)

  * Fixed hssp_filter 'gyachdav' path bug

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 08 Jan 2010 12:49:19 +0100

profphd (1.0.10)

  * Removed faulty executable checks that did not take PATH into account

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 07 Jan 2010 18:24:46 +0100

profphd (1.0.9)

  * Removed bin dependency of make all target because the binary utilities are distributed in a separate package

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 07 Jan 2010 15:06:40 +0100

profphd (1.0.8)



=== debian/control ===
Source: profphd
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), perl, rsync
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/rostlab/profphd/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/profphd/trunk/
DM-Upload-Allowed: yes
Homepage: http://predictprotein.org/

Package: profphd
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, librg-utils-perl (>= 1.0.16), profnet-prof, profphd-utils, profphd-net
Replaces: profphd-data, profphd-perl
Conflicts: profphd-data, profphd-perl
Recommends: pp-popularity-contest
Description: secondary structure and solvent accessibility predictor
 This package provides prof(1), the protein secondary structure, accessibility
 and transmembrane helix predictor from Burkhard Rost.  Prediction is either
 done from protein sequence alone or from an alignment - the latter should be
 used for optimal performance.
 .
 How well does prof(1) perform?
 .
  * Secondary structure is predicted at an expected average accuracy > 72% for
    the three states helix, strand and loop.
 .
  * Solvent accessibility is predicted at a correlation coefficient
    (correlation between experimentally observed and predicted relative
    solvent accessibility) of 0.54
 .
  * Transmembrane helix prediction has an expected per-residue accuracy of
    about 95%.  The number of false positives, i.e., transmembrane helices
    predicted in globular proteins, is about 2%.

=== debian/watch ===
version=3
ftp://rostlab.org/profphd/profphd-([0-9.]+)\.tar\.gz debian uupdate

## profphd 1.0.39

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 export PACKAGE := profphd
-export VERSION := 1.0.38
+export VERSION := 1.0.39
 export PACKAGE_VERSION := $(VERSION)
 export PACKAGE_STRING := $(PACKAGE) $(PACKAGE_VERSION)
 export DISTDIR := $(PACKAGE)-$(VERSION)
@@ -64,7 +64,7 @@
 dist: dist-profphd
 
 dist-profphd:	$(DISTDIR)
-	tar -c -f - "$(DISTDIR)" | gzip -c >$(DISTDIR).tar.gz
+	tar -c -f - "$(DISTDIR)" | xz --best -c >$(DISTDIR).tar.xz
 	rm -rf $(DISTDIR)
 
 $(DISTDIR): distclean

=== debian/changelog ===
profphd (1.0.39-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Make author field BibTeX compliant

  [ Laszlo Kajan ]
  * New upstream release. (Closes: #684857)

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 14 Aug 2012 19:50:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: cdbs, debhelper (>= 7.0.50~), perl, rsync
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/rostlab/profphd/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/profphd/trunk/
 DM-Upload-Allowed: yes

=== debian/watch ===
version=3
ftp://rostlab.org/profphd/profphd-([0-9.]+)\.tar\.[a-z]z debian uupdate

## profphd 1.0.40

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 export PACKAGE := profphd
-export VERSION := 1.0.39
+export VERSION := 1.0.40
 export PACKAGE_VERSION := $(VERSION)
 export PACKAGE_STRING := $(PACKAGE) $(PACKAGE_VERSION)
 export DISTDIR := $(PACKAGE)-$(VERSION)
@@ -64,7 +64,7 @@
 dist: dist-profphd
 
 dist-profphd:	$(DISTDIR)
-	tar -c -f - "$(DISTDIR)" | xz --best -c >$(DISTDIR).tar.xz
+	tar -c -f - "$(DISTDIR)" | xz -c >$(DISTDIR).tar.xz
 	rm -rf $(DISTDIR)
 
 $(DISTDIR): distclean

=== debian/changelog ===
profphd (1.0.40-1) unstable; urgency=low

  [ Laszlo Kajan ]
  * New upstream release.

  [ Gregor Herrmann ]
  * Fix "FTBFS with perl 5.18: POD failure":
    add patch to fix POD
    (Closes: #720497)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Thu, 29 Aug 2013 08:52:49 +0200

=== debian/control ===
Source: profphd
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: extra
Build-Depends: cdbs,
               debhelper (>= 7.0.50~),
               perl,
               rsync
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rostlab/profphd/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rostlab/profphd/trunk/
Homepage: http://predictprotein.org/

Package: profphd
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         librg-utils-perl (>= 1.0.16),
         profnet-prof,
         profphd-utils,
         profphd-net
Recommends: pp-popularity-contest
Conflicts: profphd-data,
           profphd-perl
Replaces: profphd-data,
          profphd-perl
Description: secondary structure and solvent accessibility predictor
 This package provides prof(1), the protein secondary structure, accessibility
 and transmembrane helix predictor from Burkhard Rost.  Prediction is either
 done from protein sequence alone or from an alignment - the latter should be
 used for optimal performance.
 .
 How well does prof(1) perform?
 .
  * Secondary structure is predicted at an expected average accuracy > 72% for
    the three states helix, strand and loop.
 .
  * Solvent accessibility is predicted at a correlation coefficient
    (correlation between experimentally observed and predicted relative
    solvent accessibility) of 0.54
 .
  * Transmembrane helix prediction has an expected per-residue accuracy of
    about 95%.  The number of false positives, i.e., transmembrane helices
    predicted in globular proteins, is about 2%.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.
DEB_MAKE_BUILD_TARGET   = prefix=/usr all
DEB_MAKE_INSTALL_TARGET = prefix=/usr DESTDIR=$(CURDIR)/debian/tmp/ install

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
opts=pasv ftp://rostlab.org/profphd/profphd-([0-9.]+)\.tar\.[a-z]z debian uupdate

## profphd 1.0.42

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 export PACKAGE := profphd
-export VERSION := 1.0.40
+export VERSION := 1.0.42
 export PACKAGE_VERSION := $(VERSION)
 export PACKAGE_STRING := $(PACKAGE) $(PACKAGE_VERSION)
 export DISTDIR := $(PACKAGE)-$(VERSION)

=== src/prof/Makefile ===
# lkajan:
# `prof' is too short and I am very afraid it will collide with something else in /usr/share.
# Therefore we put everything into /usr/share/profphd/.
# Things like:
# prof
# phd
# maxhom
# molbio
bindir := $(prefix)/bin
datarootdir := $(prefix)/share
pkgdatadir := $(datarootdir)/$(PACKAGE)
docdir := $(datarootdir)/doc/$(PACKAGE)

man_MANS = prof.1

all: man

man:	$(man_MANS)

%.1:	%
	sed -e 's|__pkgdatadir__|$(pkgdatadir)|g;s|__sysconfdir__|$(sysconfdir)|g;s|__bindir__|$(bindir)|g;s|__VERSION__|$(VERSION)|g;s|__PREFIX__|$(prefix)|g;' "${<}.pl" | \
	pod2man -c 'User Commands' -r "$(VERSION)" -name $(shell echo "$(basename $@)" | tr '[:lower:]' '[:upper:]') > "$@"

install: install-perl install-man install-neuralnet

install-man:
	mkdir -p $(DESTDIR)$(prefix)/share/man/man1 && cp -a prof.1 $(DESTDIR)$(prefix)/share/man/man1/

install-perl:
	mkdir -p $(DESTDIR)$(prefix)/share/profphd/prof && rsync -aC \
		--exclude /bin \
		--exclude /embl/para \
		--exclude /embl/net \
		--exclude /exa/DMD_HUMAN.hssp.gz \
		--exclude /net \
		--exclude /Makefile \
		--exclude /prof.1 \
		--exclude Session.vim \
		--exclude '.*.swp' \
		./. $(DESTDIR)$(prefix)/share/profphd/prof/.
	find $(DESTDIR)$(prefix)/share/profphd/prof/embl/phd.pl $(DESTDIR)$(prefix)/share/profphd/prof/scr/CONFprof.pl $(DESTDIR)$(prefix)/share/profphd/prof/prof.pl $(DESTDIR)$(prefix)/share/profphd/prof/scr/lib/prof.pm \
		-type f -exec sed -i -e 's|__PREFIX__|$(prefix)|g;s|__VERSION__|$(VERSION)|;' {} \;
	rm -rf $(DESTDIR)$(prefix)/bin/prof && mkdir -p $(DESTDIR)$(prefix)/bin && ln -s ../share/profphd/prof/prof $(DESTDIR)$(prefix)/bin/prof

install-neuralnet:
	mkdir -p $(DESTDIR)$(prefix)/share/profphd/prof/embl/para && rsync -aC \
		./embl/para/. $(DESTDIR)$(prefix)/share/profphd/prof/embl/para/.
	mkdir -p $(DESTDIR)$(prefix)/share/profphd/prof/embl/net && rsync -aC \
		./embl/net/. $(DESTDIR)$(prefix)/share/profphd/prof/embl/net/.
	mkdir -p $(DESTDIR)$(prefix)/share/profphd/prof/net && rsync -aC \
		./net/. $(DESTDIR)$(prefix)/share/profphd/prof/net/.
	find $(DESTDIR)$(prefix)/share/profphd/prof/embl/para -maxdepth 1 -name '*.com' -type f -exec sed -i -e 's|__PREFIX__|$(prefix)|g' {} \;

help:
	@echo "Targets:"
	@echo "all"
	@echo "install - install-perl install-neuralnet"
	@echo "install-perl"
	@echo "install-neuralnet"
	@echo
	@echo "Variables:"
	@echo "DESTDIR - install to DESTDIR"
	@echo "prefix - common installation prefix for all files"

clean:
	\rm -f *.[1-9]

.PHONY: all install install-man install-neuralnet install-perl help clean man

# vim:noet:ai:

=== debian/changelog ===
profphd (1.0.42-2) unstable; urgency=medium

  [ Tatiana Malygina ]
  * Team upload.
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * add hardening in d/rules
  * add patches 1-4 to use latest perl 5.22 (UNFINISHED! checking if this works) 
  * add debian/tests (unfinished too)
  * remove autopkgtest-perl commands - they actually do nothing - and replaced 
    them with syntax check for all .pm files inside src dir (which is run with 
    command 'perl -c <name>.pm')
  * update comments in debian/tests/profphd-install-test
  * add header to debian/patches/5_fix_regex_warning.patch
  * cleaned up debian/patches/3_fix_indexing.patch

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * debhelper 10
  * d/rules: do not parse d/changelog
  * Standards-Version: 4.1.1

 -- Tatiana Malygina <merlettaia@gmail.com>  Thu, 16 Nov 2017 15:10:34 +0100

profphd (1.0.42-1) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metapackages
  * remove redundant stuff from d/watch
  * debhelper 9
  * Priority: optional
  * short dh instead of cdbs
  * cme fix dpkg-control
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jul 2015 19:29:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
            Andreas Tille <tille@debian.org>
 Section: science
-Priority: extra
-Build-Depends: cdbs,
-               debhelper (>= 7.0.50~),
+Priority: optional
+Build-Depends: debhelper (>= 10),
                perl,
                rsync
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rostlab/profphd/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rostlab/profphd/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/profphd.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/profphd.git
 Homepage: http://predictprotein.org/
 
 Package: profphd
 Architecture: all
 Depends: ${perl:Depends},
          ${misc:Depends},
-         librg-utils-perl (>= 1.0.16),
+         librg-utils-perl,
          profnet-prof,
          profphd-utils,
          profphd-net
@@ -44,4 +43,3 @@
   * Transmembrane helix prediction has an expected per-residue accuracy of
     about 95%.  The number of false positives, i.e., transmembrane helices
     predicted in globular proteins, is about 2%.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	make prefix=/usr DESTDIR=$(CURDIR)/debian/$(DEB_SOURCE)/ install

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
opts=pasv ftp://rostlab.org/profphd/profphd-([0-9.]+)\.tar\.[a-z]z
